const complete_form = document.getElementById('complete_form_purchase')
const quantityLines = document.getElementById('id_quantity_lines');
const quantityProducts = document.getElementById('id_quantity_products');
const ammountInput = document.getElementById('id_ammount');
const idPrefix = 'id_saleline_set-';
const quantitySuffix = '-quantity';
const priceSuffix = '-unit_price';
const quantityRegexSelector = `[id^="${idPrefix}"][id$="${quantitySuffix}"]`;
const priceRegexSelector = `[id^="${idPrefix}"][id$="${priceSuffix}"]`;

complete_form.addEventListener('change', function(event){
    if (event.target.matches(quantityRegexSelector)) {
        calculateSummary();
    }
    if (event.target.matches(priceRegexSelector)) {
        calculateSummary();
    }
});


function calculateSummary() {
    let quantity = 0;
    let ammount = 0;
    const quantityInputs = document.querySelectorAll(quantityRegexSelector);
    const ids = Array.prototype.map.call(quantityInputs, function(input) {
        return input.id.match(/\d+/)[0];
    });
    ids.forEach(function(id) {
        let lineQuantity = document.getElementById(`${idPrefix}${id}${quantitySuffix}`)
        let linePrice = document.getElementById(`${idPrefix}${id}${priceSuffix}`)
        quantity += parseFloat(lineQuantity.value);
        ammount += parseFloat(linePrice.value) * parseFloat(lineQuantity.value);
    });
    quantityProducts.value = quantity;
    quantityLines.value = quantityInputs.length;
    ammountInput.value = ammount;
}
