from django.test import TestCase, Client

from ..models import AdminCode

import json


class TestAdminCode(TestCase):
    def setUp(self):
        self.valid_code = 'some valid code'
        admin_code = AdminCode()
        admin_code.value = self.valid_code
        admin_code.clean()
        admin_code.save()

        self.client = Client()

    def test_validate_code(self):
        url = '/don_confiao/api/admin_code/validate/' + self.valid_code
        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)

        content = json.loads(response.content.decode('utf-8'))
        self.assertTrue(content['validCode'])

    def test_invalid_code(self):
        invalid_code = 'some invalid code'
        url = '/don_confiao/api/admin_code/validate/' + invalid_code

        response = self.client.get(url)
        self.assertEqual(response.status_code, 200)

        content = json.loads(response.content.decode('utf-8'))
        self.assertFalse(content['validCode'])

    def test_empty_code(self):
        empty_code = ''
        url = '/don_confiao/api/admin_code/validate/' + empty_code

        response = self.client.get(url)
        self.assertEqual(response.status_code, 404)
