#!/usr/bin/env python3
from django.test import TestCase
from django.db.utils import IntegrityError

from ..models import Customer


class TestCustomer(TestCase):

    def test_create_customer(self):
        customer = Customer()
        customer.name = "Don Confiado Gonzalez"
        customer.address = "Pueblo Bonito"
        customer.save()

        self.assertIsInstance(customer, Customer)

    def test_don_create_customer_without_name(self):
        customer = Customer()
        with self.assertRaises(IntegrityError):
            customer.save()
