#!/usr/bin/env python3
from django.test import TestCase
from ..forms import PurchaseForm
from ..models import Customer

_csrf_token = \
    "bVjBevJRavxRPFOlVgAWiyh9ceuiwPlyEcmbPZprNuCGHjFZRKZrBeunJvKTRgOx"


class PurchaseFormTest(TestCase):
    def setUp(self):
        self.customer = Customer()
        self.customer.name = "Don Confiao Gonzalez"
        self.customer.address = "Patio Bonito"
        self.customer.save()

    def test_add_purchase(self):
        form_data = {
            "csrfmiddlewaretoken": _csrf_token,
            "customer": self.customer.id,
            "date": "2024-08-03",
            "payment_method": "CASH",
            "phone": "sfasfd",
            "description": "dasdadad",
            "saleline_set-TOTAL_FORMS": "1",
            "saleline_set-INITIAL_FORMS": "0",
            "saleline_set-MIN_NUM_FORMS": "0",
            "saleline_set-MAX_NUM_FORMS": "1000",
            "saleline_set-0-product": "5",
            "saleline_set-0-quantity": "1",
            "saleline_set-0-unit_price": "500",
            "saleline_set-0-description": "afasdfasdf",
            "saleline_set-0-sale": "",
            "saleline_set-0-id": "",
            "quantity_lines": "1",
            "quantity_products": "1",
            "ammount": "500",
            "form": ""
        }

        purchase_form = PurchaseForm(data=form_data)
        purchase_form.is_valid()

        # raise Exception(purchase_form)
        self.assertTrue(purchase_form.is_valid())
