from django.urls import path, include
from rest_framework.routers import DefaultRouter

from . import views
from . import api_views

app_name = 'don_confiao'

router = DefaultRouter()
router.register(r'sales', api_views.SaleView, basename='sale')
router.register(r'customers', api_views.CustomerView, basename='customer')
router.register(r'products', api_views.ProductView, basename='product')
router.register(r'reconciliate_jar', api_views.ReconciliateJarModelView,
                basename='reconciliate_jar')

urlpatterns = [
    path("", views.index, name="wellcome"),
    path("comprar", views.buy, name="buy"),
    path("compras", views.purchases, name="purchases"),
    path("productos", views.products, name="products"),
    path("lista_productos", views.ProductListView.as_view(), name='product_list'),
    path("importar_productos", views.import_products, name="import_products"),
    path("importar_terceros", views.import_customers, name="import_customers"),
    path("exportar_ventas_para_tryton",
         views.exportar_ventas_para_tryton,
         name="exportar_ventas_para_tryton"),
    path("resumen_compra/<int:id>", views.purchase_summary, name="purchase_summary"),
    path("resumen_compra_json/<int:id>", api_views.SaleSummary.as_view(), name="purchase_json_summary"),
    path("payment_methods/all/select_format", api_views.PaymentMethodView.as_view(), name="payment_methods_to_select"),
    path('purchases/for_reconciliation', api_views.SalesForReconciliationView.as_view(), name='sales_for_reconciliation'),
    path('reconciliate_jar', api_views.ReconciliateJarView.as_view()),
    path('api/admin_code/validate/<code>', api_views.AdminCodeValidateView.as_view()),
    path('api/', include(router.urls)),
]
